

@import 'vars';
// susy
@import '~susy/sass/susy';

$susy: (
  flow: ltr,
  math: fluid,
  output: float,
  gutter-position: after,
  container: auto,
  container-position: center,
  columns: 4,
  gutters: .25,
  column-width: false,
  global-box-sizing: content-box,
  last-flow: to,
  debug: (
    image: hide,
    color: rgba(#66f, .25),
    output: background,
    toggle: top right,
  ),
  use-custom: (
    background-image: true,
    background-options: false,
    box-sizing: true,
    clearfix: false,
    rem: true,
  )
);

$susy: (
    columns: 12,
    gutter-position: inside,
    math: fluid,
    output: float,
    flow: ltr,
);


body {
    @include container(100%);
    padding: 1em;
}

header {
    @include container(100%);

    // @media (max-width: 800px) {
        // height: 2em;
        position: fixed;
        top: 0;
        left: 0;
        right: 0;
        padding: 0.5em 1em 0.1em 1em;
    // }



    .top-bar-logo {
        @include span(6);
        text-align: left;
    }
    //
    // .top-bar-context {
    //     @include span(4);
    //     text-align: center;
    // }

    .top-bar-login {
        @include span(6);
        text-align: right;
    }
}

.viewport {
    position: absolute;
    top: 42px;
    right: 0px;
    bottom: 42px;
    left:0px;
    overflow: hidden;

    .app {
        position: absolute;
        overflow-y: auto;
    }
}

.content {
    @include container;

    @media (min-width: 1281px) {
        .document-section {
            column-count: 2;
        }
        .query-map {
            height: 800px;
        }
    }

    @media (min-width: 800px) {
        .body-section {
            max-width: 600px;
        }
        .content-inner {
            @include container;
            .document-section {
                @include span(8);
            }

            .query-map {
                height: 600px;
            }

            .link-block {
                @include span(3 at 10);
            }
        }

        .tool-box {
            position: fixed;
            width: 100%;
            bottom: 0;
            right: 0;
            @include container;
            @include with-layout(rtl) {
                .button-wrapper {
                    @include span(2);
                }
            }
        }

    }

    @media (max-width: 800px) {
        @include with-layout (100% 4) {
            section {
            @include container;
                h1 {

                }
                article {
                }
            }

            .link-block {
            @include container;
                // @include span(4);
                margin-top: 5em;
            }

            .tool-box {
            @include container;
                position: fixed;
                width: 100%;
                bottom: 0;
                right: 0;
                @include container;
                @include with-layout(rtl) {
                    .button-wrapper {
                        @include span(2);
                    }
                }
            }
        }
    }
}

.resources,
.link-block {
    @include container;
    @media (min-width: 800px) {
        @include with-layout (8) {
            .thumbnail-resource {
                @include gallery(2 of 8);
                margin-bottom: gutter();
                height: 200px;
                overflow: hidden;
            }
        }
    }
    @media (max-width: 800px) {
        @include with-layout (4) {
            .thumbnail-resource {
                @include span(4);
                margin-bottom: 16px;
                max-height: 220px;
                overflow: hidden;
            }
        }
    }
}


@media (min-width: 800px) {
    .tool-box {
        position: fixed;
        width: 100%;
        bottom: 0;
        right: 0;
        @include container;
        @include with-layout(rtl) {
            .button-wrapper {
                @include span(2);
            }
        }
    }

}

@media (max-width: 800px) {
    .tool-box {
        @include container;
        position: fixed;
        width: 100%;
        bottom: 0;
        right: 0;
        @include container;
        @include with-layout(rtl) {
            .button-wrapper {
                @include span(2);
            }
        }
    }
}
